- name: Thelounge
  hosts: pi
  become: true
  tasks:
    - name: Install nodejs
      ansible.builtin.apt:
        name: nodejs
        state: present

    - name: Copy install
      ansible.builtin.copy:
        src: thelounge_4.4.3_all.deb
        dest: /tmp/thelounge_4.4.3_all.deb
        owner: root
        group: root
        mode: '0755'

    - name: Copy config
      ansible.builtin.copy:
        src: config.js
        dest: /etc/thelounge/config.js
        owner: thelounge
        group: thelounge
        mode: '0660'

    - name: Restart service
      ansible.builtin.service:
        name: thelounge
        state: restarted
